目标

GET https://www.monit.cn/api/goals/
curl --request GET \
--url 'https://www.monit.cn/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
参数 详情 描述
website_id 可选 整数
type 可选 字符串 允许的值: pageview, custom
search 可选 字符串 搜索字符串
search_by 可选 字符串 您正在按什么字段进行搜索.允许的值为: name, path, key.
datetime_field 可选 字符串 允许的值: datetime, last_datetime
datetime_start 可选 字符串 筛选从此日期时间开始的结果.请使用Y-m-d H:i:s格式.
datetime_end 可选 字符串 筛选截止到此日期时间的结果.请使用Y-m-d H:i:s格式.
order_by 可选 字符串 用于对结果进行排序的字段.允许的值为: goal_id, last_datetime, datetime, name, path, key.
order_type 可选 字符串 结果的排序方式.允许的值为:ASC 表示升序排序,DESC 表示降序排序.
page 可选 整数 您希望获取结果的页码.默认值为 1.
results_per_page 可选 整数 每页需要返回的结果数量.允许的值为: 10, 25, 50, 100, 250, 500, 1000. 默认值为 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "key": "123456789",
            "type": "custom",
            "path": null,
            "name": "Example",
            "datetime": "2026-04-29 13:19:18",
            "last_datetime": null
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://www.monit.cn/api/goals?page=1",
        "last": "https://www.monit.cn/api/goals?page=1",
        "next": null,
        "prev": null,
        "self": "https://www.monit.cn/api/goals?page=1"
    }
}
GET https://www.monit.cn/api/goals/{goal_id}
curl --request GET \
--url 'https://www.monit.cn/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "key": "123456789",
        "type": "custom",
        "path": null,
        "name": "Example",
        "datetime": "2026-04-29 13:19:18",
        "last_datetime": null
    }
}
POST https://www.monit.cn/api/goals
参数 详情 描述
website_id 必需 整数 -
type 必需 字符串 允许的值: pageview, custom
name 必需 字符串 -
path 可选 字符串 可用条件: type = pageview
key 可选 字符串 -
curl --request POST \
--url 'https://www.monit.cn/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-04-29 13:19:18' \
{
    "data": {
        "id": 1
    }
}
POST https://www.monit.cn/api/goals/{goal_id}
参数 详情 描述
website_id 可选 整数 -
type 可选 字符串 允许的值: pageview, custom
name 可选 字符串 -
path 可选 字符串 可用条件: type = pageview
key 可选 字符串 -
curl --request POST \
--url 'https://www.monit.cn/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
    "data": {
        "id": 1
    }
}
DELETE https://www.monit.cn/api/goals/{goal_id}
curl --request DELETE \
--url 'https://www.monit.cn/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \